Remote Storage

Remote Storage allows you to extend disk space on your server using a tape library. Remote Storage manages the disk volumes on your server and automatically copies infrequently-used files to a tape library. When the amount of free disk space falls below a needed level, Remote Storage then frees up the space on your disks.

  • Before you begin using Remote Storage, see Checklist: Set up Remote Storage.
  • For tips about using Removable Storage, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Set up Remote Storage

Remote Storage is not installed by default when you run Windows 2000 Server Setup. You can select Remote Storage for installation during Windows 2000 Server Setup, or afterwards, in Control Panel, using Add/Remove Programs.

Step | Reference
Log on to the local computer with administrative permissions. | To set permissions for managing applications.
Verify that you have a supported tape library and that Removable Storage can detect this library. Remote Storage can use any 4mm, 8mm, or DLT tape library. | See the Microsoft Windows Hardware Compatibility List at the Microsoft Web site. (http://www.microsoft.com/)
Using Removable Storage, verify that a sufficient number of tapes for Remote Storage to use are assigned to the Remote Storage media pool. | To view or set Removable Storage properties.
Verify that the volumes that will be managed have been formatted with the NTFS file system for Windows 2000. | To convert a volume to NTFS from the command prompt.
If you intend to use data compression, compress the volume data beforehand. | See the product documentation for your applicable software.
If you intend to use content indexing, index the volume data beforehand. | See the product documentation for your applicable software.
Install Remote Storage and start the Remote Storage Setup wizard. | To set up Remote Storage.
Select volumes for management. | Follow the Remote Storage Setup wizard.
Set the desired free-space level for volumes chosen to be managed. | Follow the Remote Storage Setup wizard.
Set the criteria for copying files to remote storage. | Follow the Remote Storage Setup wizard.
Select the type of tape to use for remote storage. | Follow the Remote Storage Setup wizard.
Set the file-copy schedule. | Follow the Remote Storage Setup wizard.
Set the number of media copies desired. | To set the number of media copies.


Best practices

The following list represents some best practices for Remote Storage. You should implement this list whenever possible.

  • Backup files on managed volumes as well as the Remote Storage database files. Remote Storage relies on to protect applicable files cached on your local volumes, in addition to the Remote Storage database and other program data files in the System32\RemoteStorage folder. You should keep track of when data backups occur and which tapes are used. For information on Backup, see Backup overview.

    In addition, you should take one media copy set in your tape library from the Remote Storage media pool and move it to the Backup media pool every time a full backup is done, since the default is not to backup data on tapes used by Remote Storage. The media copy set represents the full state of the data on the remote storage tapes.

    For more information on protecting data managed by Remote Storage, see Protecting and recovering data from disaster.

  • Make copies of your remote storage data. You should make multiple copies of the tapes that Remote Storage uses and regularly update them. In this way, if you later encounter a problem with your original tape set (the media master set), you can recreate it using a copy you have made. Doing this ensures no loss of data.
  • Keep media copies off site. If possible, keep media copies off site or rotate media copies between your business sites for safekeeping.
  • Validate your managed volumes regularly. You should schedule validation of your managed volumes on a regular basis. Validation ensures that all files on managed volumes point to the correct data in remote storage.
  • Discontinue managing all volumes before uninstalling Remote Storage. Before you uninstall Remote Storage, you should discontinue managing all volumes by selecting Recall copied data from storage in the Remove Volume Management wizard. Otherwise, you may lose your file data.
  • Think before you delete a file from a managed volume. If you delete a file from a managed volume, the associated data can no longer be recalled from remote storage. Be careful not to delete such files if you might want to recall the data at a later time.
  • Do not format a managed volume. When a managed volume is formatted, Remote Storage cannot locate the volume anymore, and does not know if the volume is temporarily unavailable or was permanently removed (which is the case when a volume is being formatted).
  • Load balance your scheduled tasks. When managing several large-capacity volumes, you should schedule tasks to run on different days and at different times to spread out the workload on your server. For example, all tasks for volume A could be scheduled to run on Tuesdays and Thursdays at 2:00 am; all tasks for volume B could be scheduled to run on Mondays, Wednesdays, and Fridays at 2:00 am.
  • Avoid scheduling tasks at system restart. To prevent excess workload on your server, you should not schedule any tasks to start at system restart.


How to...

  • Set up Remote Storage
  • View or set properties for Remote Storage
  • Monitor tasks for Remote Storage
  • View events for Remote Storage
  • Manage local disk volumes
  • Manage remote storage media


Set up Remote Storage

To set up Remote Storage

  1. If Remote Storage is not yet installed on your computer, do the following:
    • Open Add/Remove Programs in Control Panel.
    • Click Add/Remove Windows Components.
    • Select the Remote Storage check box, and then click Next.
    • When asked if you want to restart your computer now, click Yes.
  3. Follow the instructions that appear in the Remote Storage Setup wizard.

Notes

  • To open Add/Remove Programs, click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  • To open Remote Storage after it is installed, click Start, point to Programs, point to Administrative Tools, and then click Remote Storage.
  • The first time you open Remote Storage after it is installed, the Remote Storage Setup wizard guides you through the steps required to fully configure it for operation.
  • Give forethought to the type of media you wish to use for remote storage as this cannot be changed later.
  • You should not install Remote Storage on a Windows server cluster. Remote Storage will not failover to the other computer node.
  • Certain Windows components require configuration before thay can be used. If you installed one or more of these components, but did not configure them, when you click Add/Remove Windows Components, a list of components that need to be configured is displayed. To start the Windows Components wizard, click Components.

Related Topics


View or set properties for Remote Storage

To view or set properties for Remote Storage

  2. In the console tree, click the applicable item. The child objects are displayed in the details pane.
  3. Right-click the desired object in the details pane and then click Properties.
  4. Review settings and make changes, as needed.

Note

Related Topics


Monitor tasks for Remote Storage

To monitor tasks for Remote Storage

  1. Open Tasks.
  2. Click the applicable task. The status of the task is displayed in the left column.

Note

  • To open Tasks, click Start, point to Settings, click Control Panel, and then double-click Scheduled Tasks.


View events for Remote Storage

To view events for Remote Storage

  2. In the console tree, double-click Remote Storage, and then double-click Event Viewer.
  3. Click a log, and in the details pane, double-click an entry.

Notes

  • For more information on Event Viewer, click Related Topics.

Related Topics


Manage local disk volumes

  • Add a volume for management
  • Discontinue managing a volume
  • Set the desired free space for a volume
  • Specify basic file-selection criteria
  • Add a file rule
  • Change or delete a file rule
  • Change priority of file rules
  • Set the runaway recall limit
  • Change the file-copy schedule
  • Set advanced schedule options
  • Copy files to remote storage
  • Validate files
  • Create free space immediately


Add a volume for management

To add a volume for management

  2. In the console tree, double-click Remote Storage.
  3. Right-click Managed Volumes, point to New, and then click Managed Volume(s).
  4. Follow the instructions that appear in the Add Volume Management wizard.

Notes

  • You can use the Add Volume Management wizard any time after you run the Remote Storage Setup wizard.

Related Topics


Discontinue managing a volume

To discontinue managing a volume

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, and then click Remove.
  4. Follow the instructions that appear in the Remove Volume Management wizard.

Notes

  • If you have adequate disk space to recall all data from remote storage, but the recall copied data from storage option is not available, you may need to validate the files on the volume first. Validating the volume updates the statistics used by Remote Storage to determine if enough disk space is available to recall data from remote storage. For information on how to validate the files on a managed volume, click Related Topics.
  • For information on how to monitor the status of this task, click Related Topics.

Related Topics


Set the desired free space for a volume

To set the desired free space for a volume

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, and then click Settings.
  4. On the Settings tab, in Desired Free Space, click the UP or DOWN ARROW to increase or decrease the value.

Notes

  • This procedure sets the desired free space for the volume. When the available space on the volume falls below this setting, Remote Storage frees up space on the volume by removing cached data from files that have been copied to remote storage.
  • You use this procedure to configure Remote Storage to automatically free up space on your volume when the actual free space falls below the Desired Free Space setting. For information on how to override this setting and immediately free up space on your volume, click Related Topics.

Related Topics


Specify basic file-selection criteria

To specify basic file-selection criteria

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, and then click Settings.
  4. On the Settings tab, under File criteria, in Larger than, click the UP or DOWN ARROW to set the file size value.
  5. Under File criteria, in Not accessed in, click the UP or DOWN ARROW to change the time value.

Notes

  • If insufficient free space is created on your managed volume because not enough files are being copied to remote storage, you may need to decrease these values.
  • For information on how to specify more complex criteria for copying files to remote storage based on file rules, click Related Topics.

Related Topics


Add a file rule

To add a file rule

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, and then click Include/Exclude Rules.
  4. On the Include/Exclude Rules tab, click Add.
  5. In Path, type the folder path to the file (do not include the drive letter).
  6. In File Type, type the wildcard character and file extension (for example: *.jpg).
  7. To exclude matching files when the rule is applied, click Exclude matching files.

    Or, to include matching files when the rule is applied, click Include matching files.

  8. To apply the rule to any matching files stored in subordinate folders, select the Apply rule to subfolders check box.

Notes

  • For information on how to copy files to remote storage based also on file size and last access date, click Related Topics.

Related Topics


Change or delete a file rule

To change or delete a file rule

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, and then click Include/Exclude Rules.
  4. To edit a rule, do the following:
    • On the Include/Exclude Rules tab, select the applicable rule, and then click Edit.
    • In the Edit Include/Exclude Rule dialog box, change the settings as required, and then click OK.
    Or, to delete a rule, select the applicable rule, click Remove, and then click OK.

Notes

  • There are a number of predefined rules provided when Remote Storage is first set up. You cannot modify some of these predefined rules.
  • For information on how to change the file size and last access date criteria for copying files to remote storage, click Related Topics.

Related Topics


Change priority of file rules

To change priority of file rules

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, and then click Include/Exclude Rules.
  4. On the Include/Exclude Rules tab, select the applicable rule.
  5. Click the UP ARROW to give the rule a higher priority.

    Or click the DOWN ARROW to give the rule a lower priority.

Notes

  • The position of a file rule on the list determines which rule is applied first. Remote Storage applies the first rule on the list that matches a file in a given folder.
  • There are a number of predefined rules provided when Remote Storage is first set up. You cannot move some of these predefined rules up or down the list. You can however, move all rules that you define up or down the list.

Related Topics


Set the runaway recall limit

To set the runaway recall limit

  2. In the console tree, right-click Remote Storage, and then click Properties.
  3. On the Recall Limit tab, change the value in Maximum number of successive recalls by clicking the UP or DOWN ARROWS.
  4. To exclude all users with administrative permissions from this limit, select the Exempt administrators from this limit check box.

Notes

  • The runaway recall limit prohibits a user, or an application, from recalling files from remote storage more than the specified number of times in succession with less than 10 seconds between each recall. Virus checking, data backup, indexing, and search applications typically read all files on your computer and can cause excessive file recalls to occur otherwise.

Related Topics


Change the file-copy schedule

To change the file-copy schedule

  2. In the console tree, right-click Remote Storage. This displays the current schedule.
  3. Click Change Schedule. This displays the File Copy Schedule dialog box.
  4. In Schedule Task, click the arrow, and then select an interval.
  5. In Start time, set the time by clicking the UP or DOWN ARROW.
  6. Under Schedule Task Daily, in Every, change the value by clicking the UP or DOWN ARROW, if necessary.
  7. To set multiple schedules, select the Show multiple schedules check box.

Notes

  • You use this procedure to automatically copy files to remote storage based on a schedule. For information on how to immediately copy files from specific volumes to remote storage, click Related Topics.
  • For information on how to monitor the status of this task, click Related Topics.

Related Topics


Set advanced schedule options

To set advanced schedule options

  2. In the console tree, right-click Remote Storage, and then click Properties.
  3. On the Schedule tab, click Change Schedule.
  4. In the Remote Storage Properties dialog box, click Advanced.
  5. In the Advanced Schedule Options dialog box, in Start Date, select a calendar date.
  6. To set an end date, select the End Date check box, click the DOWN ARROW, and select a calendar date.
  7. To repeat tasks, select the Repeat task check box and then do the following, as needed:
    • To change the time interval, in Every, click the UP or DOWN ARROW to set the value, and then click the DOWN ARROW and select the units.
    • To change the time, in Until, click Time, and click the UP or DOWN ARROW.
    • In Until, click Duration, and then change the settings in hour(s) and minute(s) by clicking the UP and DOWN ARROWS.
  8. To stop a task if it is still running at the time previously specified, select the If the task is still running, stop it at this time check box.

Notes

  • For information on how to monitor the status of this task, click Related Topics.

Related Topics


Copy files to remote storage

To copy files to remote storage

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, click All Tasks, and then click Copy Files To Remote Storage.

Notes

  • You use this procedure to immediately copy files from specific volumes to remote storage. For information on how to automatically copy files to remote storage based on a schedule, click Related Topics.
  • For information on how to monitor the status of this task, click Related Topics.

Related Topics


Validate files

To validate files

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, click All Tasks, and then click Validate Files.

Notes

  • Validation checks to make sure that files on managed volumes still point to valid data in remote storage and updates the volume statistics.
  • For information on how to monitor the status of this task, click Related Topics.

Related Topics


Create free space immediately

To create free space immediately

  2. In the console tree, double-click Remote Storage, and then click Managed Volumes.
  3. In the details pane, right-click the applicable volume, click All Tasks, and then click Create Free Space.

Notes

  • This procedure frees up space on your volume by removing cached data from files that have been copied to remote storage. If all cached data has already been removed, no additional free space can be created. In addition, recall activity will increase as data is no longer cached locally.
  • You use this procedure to immediately free up space on your volume. For information on how to configure Remote Storage to automatically free up space on your volume when the available space falls below a specified amount, click Related Topics.
  • For information on how to monitor the status of this task, click Related Topics.

Related Topics


Manage remote storage media

  • Set the number of media copies
  • Synchronize media copies
  • Delete media copies
  • Recreate the media master


Set the number of media copies

To set the number of media copies

  2. In the console tree, right-click Remote Storage, and then click Properties.
  3. On the Media Copies tab, change the value in Number of media copy sets by clicking the UP or DOWN ARROW.

Notes

  • Copies of remote storage media can be created only if two or more drives are available.
  • You can make up to three copies of remote storage media. You should synchronize media copies with the original media (called the media master) on a regular basis to ensure no loss of data. For information on how to synchronize media copies, click Related Topics.
  • Reducing the number of media copies does not cause any media to be deallocated, it only limits the copy sets that Remote Storage will display and access. To deallocate the media, select all the media and then delete the media copies. For information on how to delete media copies, click Related Topics.

Related Topics


Synchronize media copies

To synchronize media copies

  2. In the console tree, right-click Media and then click Synchronize Media Copies.
  3. Follow the instructions that appear in the Media Copy Synchronization wizard.

Notes

  • Media copies can be created only if two or more drives are available.
  • Remote Storage will use available media in the Remote Storage media pool before using media in a free media pool. If using two single-drive libraries, it may be necessary to move media from the second library into the Remote Storage media pool in order for Remote Storage to use it for media copies.
  • For information on how to monitor the status of this task, click Related Topics
    • .

Related Topics


Delete media copies

To delete media copies

  2. In the console tree, double-click Remote Storage, and then click Media.
  3. In the details pane, right-click one or more of the media shown, and then click Media Copies.
  4. On the Media Copies tab, do one or more of the following:
    • To delete the first copy of the media master, click Delete Copy 1.
    • To delete the second copy of the media master, click Delete Copy 2.
    • To delete the third copy of the media master, click Delete Copy 3.

Note

Related Topics


Recreate the media master

To recreate the media master

  2. In the console tree, double-click Remote Storage, and then click Media
    3. .
  3. In the details pane, right-click one of the media shown, and then click Properties.
  4. Click the Recovery tab, and then click Re-create Master.
  5. Follow the instructions that appear on-screen.

Notes

  • You should recreate the media master only if you experience errors when you recall files from remote storage.
  • Make sure the media copy you selected to use to recreate the media master is the most current version.
  • Using Removable Storage (not to be confused with Remote Storage), you should verify that there are tapes in a free media pool of equal or greater capacity to the media copy you are using to recreate the media master. For information on how to view Removable Storage properties, click Related Topics.

Related Topics


Concepts

This section provides background information about Remote Storage.

  • Remote Storage overview
  • Understanding Remote Storage
  • Using Remote Storage
  • Resources


Remote Storage overview

Remote Storage makes it easy for you to extend disk space on your server computer without adding more hard disks. Remote Storage automatically copies eligible files on your local volumes to a tape library. Remote Storage then monitors the amount of space available on your local volumes.

File data is cached locally so that it can be accessed quickly as needed. When the amount of available space on a managed volume dips below the level you need, Remote Storage automatically removes the content from the cached files, providing the disk space you need. When data is removed from a file, the disk space used by the file is reduced to zero. Data from cached files is not removed until more disk space is needed. When you need to open a file whose data has been removed, the data is automatically recalled from remote storage.

Since removable tapes in a library are less expensive per megabyte (MB) than hard disks, this can be an economical way to provide both maximum data storage and optimal local disk performance.

Levels of data storage

Remote Storage data storage is hierarchical, with two defined levels. The upper level, called local storage, includes the NTFS disk volumes of the computer running Remote Storage on Windows 2000 Server. The lower level, called remote storage, is on the robotic tape library or stand-alone tape drive that is connected to the server computer.

Remote Storage supports all SCSI class 4mm, 8mm, and DLT tape libraries. Using Remote Storage with Exabyte 8200 tape libraries is not recommended. Remote Storage does not support QIC tape libraries or optical disc libraries.

Retrieval of stored files

When you need to access a file on a volume managed by Remote Storage, you simply open the file as usual. If the data for the file is no longer cached on your local volume, Remote Storage recalls the data from a tape library. Because this can take more time than usual, Remote Storage removes the data only from those files on your local volumes that you are least likely to need, based on criteria that you set.

Coordination with other tools

Remote Storage uses Removable Storage to access the applicable tapes contained in libraries. Remote Storage also works with Windows for data recovery. For information on Removable Storage, see Removable Storage overview. For information on Backup, see Backup overview.

Remote Storage also provides certain data-recovery features, including the ability to generate multiple copies of data in remote storage.

Note

  • Using Remote Storage to copy files to remote storage is not the same as backing up your files. You should follow a regular schedule of data backups, including backing up the contents of the local volumes that Remote Storage manages. You should also backup the Remote Storage database and other program files located in the System32\RemoteStorage folder.


Understanding Remote Storage

This section covers:

  • Basic operation of Remote Storage
  • How Remote Storage affects Windows 2000
  • Managed volumes
  • Remote Storage and Removable Storage


Basic operation of Remote Storage

The following steps describe how to use Remote Storage to manage space on your local disk volumes.

Before Remote Storage can manage your volumes, you must verify that a sufficient number of tapes have been moved to a free media pool using Removable Storage. For more information on managing tapes using Removable Storage, see Managing tapes and discs.

  1. You determine which local disk volumes you want Remote Storage to manage. You then define the amount of free space you want maintained on the volumes, the file-selection criteria for copying files to remote storage, and the type of tape to use for remote storage.
  2. Remote Storage then copies files to remote storage that meet the criteria, leaving the original data stored, or cached, on the local volumes.
  3. Remote Storage compares the amount of available space on a managed volume with the amount you defined in step 1. If the actual free disk space is less than the desired amount, Remote Storage removes the data on your local volumes, reducing the disk space used by the files to zero. This step continues until the desired free space setting is met, or all data has been removed from cached files on your managed volumes.
  4. When you want to access a file, you simply open the file on your local volume in the usual way. Remote Storage automatically recalls the data from remote storage and copies the data back to your local volume. The type of library and tapes used determines how much time delay you experience.


How Remote Storage affects Windows 2000

Remote Storage runs as a service on Windows 2000 Server and uses Removable Storage to access the applicable tapes in a library that are used for remote storage. You administer Remote Storage from Microsoft Management Console (MMC), using the Remote Storage snap-in to perform all tasks. The following figure illustrates the relationship between Remote Storage and your server computer.

Remote Storage and your computer

Remote Storage uses Windows 2000 security to grant or deny access for storage management. Only user accounts that have administrator permissions can administer Remote Storage; however, users with appropriate permissions can open the files on volumes that Remote Storage manages.

Remote Storage adds a Remote Storage tab to the volume Properties dialog box of Windows Explorer and to the Disk Management snap-in on the local computer. This tab shows local and remote storage statistics and settings. While you can remotely manage volumes from other computers, the Remote Storage tab only appears on the computer that the Remote Storage services are running on.

Programs that use file size, such as Disk Quota, are not affected by Remote Storage operations. When Remote Storage frees up disk space by removing data from cached files that have been copied, the disk space used by file becomes zero. However, the logical size and the date/time (created, last modified, last accessed) attributes of the file remain unchanged.

When using Windows File Manager (Winfile.exe), files that Remote Storage manages are not displayed. This affects client computers running all previous versions of Windows.

Only one Remote Storage installation can exist on a server computer.


Managed volumes

The local disk volumes on your server computer that are under Remote Storage control are called managed volumes. For example, you can configure drive D as a managed volume. If you have supplementary hard disks on other drives, such as E, F, and so forth, you can also configure these as additional managed volumes.

Disk volumes managed by Remote Storage must be nonremovable and must be formatted with the version of NTFS used in Windows 2000.

Remote Storage automatically copies data from managed volumes to remote storage according to a schedule and to rules that you specify. You configure the amount of free disk space you want to maintain on the managed volumes and the criteria used to copy specific files to remote storage.

The following figure illustrates how Remote Storage copies files from local storage to remote storage.

Remote Storage copying files to remote storage


Remote Storage and Removable Storage

Remote Storage uses Removable Storage to access the applicable tapes in a library that are used for remote storage.

Remote Storage can support a multiple-drive robotic library, but only if all the drives within it are identical. Within such a robotic library, Remote Storage can access two drives at the same time. If the robotic library contains two drives, Remote Storage can simultaneously copy data to, and recall data from, two different tapes.

All remote storage tapes used by Remote Storage exist in a single application media pool that is automatically created during Remote Storage Setup. You use Removable Storage to verify that sufficient media have been moved to a free media pool, so that Remote Storage can use tapes from that pool if needed. You cannot move tapes from the Remote Storage application media pool to another application media pool.

Remote Storage can support only a single tape type for use as remote storage. You specify which type is supported when you run the Remote Storage Setup wizard. You cannot change this type later.

Recalling data from remote storage may take more time than usual. The amount of this time delay depends on several factors:

  • Whether or not a tape is already mounted in a drive.
  • The speed of a library in mounting a tape.
  • Availability of the tapes and drives in a library.
  • Whether or not other file recalls are pending.

The following figure illustrates how Remote Storage recalls data from remote storage to local storage. Note that when data is recalled, it is copied back to the original volume and the file again takes up disk space.

Remote Storage recalling a file from remote storage

Remote Storage does not support the use of QIC tapes or optical discs as remote storage media.

Tapes used by Remote Storage contain only data that has been copied from managed volumes. However, the library can contain additional media used by other applications, such as Backup.

Remote Storage does not support recalling data for a volume that has been managed at different times by two different Remote Storage installations.


Using Remote Storage

This section covers:

  • Setting up Remote Storage
  • Managing local volumes
  • Managing remote storage media
  • Protecting and recovering data from disaster


Setting up Remote Storage

Remote Storage is not installed by default the first time you run Windows 2000 Server Setup. You can set Remote Storage for installation during Windows 2000 Server Setup, or afterwards using Add/Remove Programs in Control Panel. For information on how to set up Remote Storage after Windows 2000 Server has been installed, see To set up Remote Storage.

You should not install Remote Storage on a Windows 2000 Advanced Server computer in a server cluster configuration. Remote Storage will not fail-over to the other computer node.

Before you can use Remote Storage, you must satisfy three requirements:

  1. You must be logged on with administrative permissions.
  2. You must verify that a sufficient number of tapes are in a free media pool. (Use Removable Storage to perform this task.)
  3. You must verify that volumes managed by Remote Storage are formatted with the version of NTFS used in Windows 2000. For more information, see To convert a volume to NTFS from the command prompt.

If you intend to use data compression on managed volumes, compress the volumes beforehand. Also, if you intend to use content indexing, run your indexing software beforehand. See the product documentation for your particular software

Remote Storage is administered in Microsoft Management Console (MMC) using the Remote Storage snap-in. The first time you open the Remote Storage snap-in, the Remote Storage Setup wizard guides you through the steps required to fully configure Remote Storage for operation.


Managing local volumes

Remote Storage manages physical disk volumes on the local computer by copying selected files on those volumes to a tape library according to the schedule and rules that you specify. The original files are left cached on your local volumes. You can use Remote Storage to automatically copy files, following a schedule that you specify, or you can immediately copy files to tape.

Volumes managed by Remote Storage must be nonremovable (fixed) media. You initially select which volumes Remote Storage manages when you complete the Remote Storage Setup wizard. For information on how to add an additional volume for Remote Storage management, see To add a volume for management.

Setting the desired free space

You can specify the amount of free space that you want to maintain on each local volume. This setting establishes a threshold value.

Remote Storage continuously monitors the actual amount of free space on your local volumes. If the amount of actual free space dips below the Desired Free Space setting, Remote Storage removes the cached data from files on your local volumes that have been copied to tape. The disk space used by files on your local volumes becomes zero.

You set the desired free space initially when you complete the Remote Storage Setup wizard. This value is used for each volume that Remote Storage manages. For information on how to change the Desired Free Space setting, or to set a different value for each volume, see To set the desired free space for a volume.

You can also free up disk space manually. Doing this immediately removes the cached data from files on your local volumes. For information on how to immediately free up disk space, see To create free space immediately.

Specifying file-selection criteria and rules

You can specify the criteria governing which files you want Remote Storage to copy to remote storage. All files that meet the criteria are eligible to be copied to tape. You specify criteria based on minimum file size and time elapsed since the files were last accessed.

You initially specify file criteria when you complete the Remote Storage Setup wizard. These criteria are used for each volume that Remote Storage manages. For information on how to change the criteria, or to specify separate criteria for each volume, see To specify basic file-selection criteria.

You can also specify file inclusion and exclusion rules that affect file selection for copying to remote storage. These rules can include or exclude matching files based on:

  • A specified folder, including all subfolders within it.
  • A specified folder, excluding subfolders.
  • File extension.
  • File name, including wildcard characters.

Remote Storage provides a predefined list of file inclusion and exclusion rules that you can use. You cannot edit or change the order of some of these predefined rules. You can, however, move and edit all rules that you create.

Remote Storage uses the first rule in the rule list that matches a file in a given folder. Changing the order of a rule in the list changes the priority of that rule.

For information on how to perform specific tasks, click:

  • To add a file rule.
  • To change or delete a file rule.
  • To change priority of file rules.

Note

  • By default, all hidden, system, extended attribute, encrypted, and sparse files are excluded from the file rule list. These files cannot be copied to remote storage.

Changing the file-copy schedule

Remote Storage provides a default schedule used for file copying when you complete the Remote Storage Setup wizard. For information about how to change the file-copy schedule and about advanced schedule options, see To change the file-copy schedule.

You can also copy files to remote storage at any time, regardless of the schedule. For information on how to immediately copy eligible files, see To copy files to remote storage.

Note

  • Scheduled recalling of data in remote storage is not supported.

Setting the runaway recall limit

Remote Storage provides a default value to the maximum number (called the runaway recall limit) of successive file-recalls that a user, or an application, can make on any managed volume in the same session. Once a file recall is completed, if the user or application requests another recall within 10 seconds, the count is increased. File-recalls copy the data back to local volumes, thereby decreasing the available free disk space on your computer. Virus checking, data backup, indexing, and search applications typically read all files on your computer and can also cause a large number of file-recalls. For information on how to change the runaway recall limit, see To set the runaway recall limit.

Validating files

Validation ensures that all the files on your managed volumes point to valid and correct data in remote storage. It also recalculates volume statistics. Validation is automatically performed two hours after a backup program is used to restore a remote storage file. Validation also detects files that have been moved from one local volume to another or that have been modified.

Validation should be performed on a regular basis to validate all files on a given volume and to correct any inconsistencies. Validation should also be performed after restoring files on a local volume or after disk errors have occurred on a volume. For information on how to validate the files on a managed volume, see To validate files.

The validation operation is integrated with and can be monitored using Scheduled Tasks. For more information on how to monitor Remote Storage tasks, see To monitor tasks for Remote Storage.

Discontinuing volume management

You can select one of the two following ways in which Remote Storage discontinues managing a volume:

  • Remote Storage discontinues managing the local volume but leaves data in remote storage. Data that is already in remote storage can be recalled as before. No automatic freeing of disk space takes place.
  • Remote Storage recalls data from remote storage and then discontinues managing the local volume. You should only select this option if your local volume has adequate disk space for the recalled data.

    If you have adequate disk space to recall data from remote storage, but the discontinue volume management operation has failed, you may need to validate the files on the volume first. For information on how to validate the files on a managed volume, see To validate files.

For information on how to discontinue managing a volume using the Remove Volume Management wizard, see To discontinue managing a volume.

These operations are integrated with, and can be monitored using, Windows 2000 Scheduled Tasks. For more information on how to monitor Remote Storage tasks, see To monitor tasks for Remote Storage.

Important

  • Before you uninstall Remote Storage, you should discontinue managing all volumes by clicking Recall copied files from remote storage in the Remove Volume Management wizard. Otherwise, you may lose your file data.

Note

  • When a managed volume is formatted, the volume will still be displayed in the Remote Storage snap-in it, but the only operation you can perform on it is to discontinue managing it. This occurs because Remote Storage cannot locate the volume anymore, and does not know if the volume is temporarily unavailable or was permanently removed (which is the case when a volume is formatted).

Modifying files on managed volumes

There are a number of considerations that must be taken into account before you modify or move a file on a managed volume. This section addresses those issues.

If a file on a managed volume is deleted, lost, or destroyed, you must retrieve a copy of the file from a backup tape to gain access to the file. If you delete a file from a managed volume, the associated data can no longer be recalled from remote storage. Be careful not to delete such files if you might want to recall the data at a later time. You can protect such files using Backup. For information on Backup, see Backup overview.

Copying or moving a file between managed volumes causes the associated data in remote storage to be recalled. You must use a backup program to back up and then restore a file before you move the file between managed volumes to avoid causing a recall. All applicable volumes must be formatted using the version of NTFS used in Windows 2000. The local volume on which the moved file now resides must be managed by Remote Storage for disk space to be automatically freed, and you should also validate the volume afterward.

Note

  • Renaming a file on a managed volume does not recall the associated data from remote storage.


Managing remote storage media

Remote Storage supports all SCSI class 4mm, 8mm, and DLT tape libraries. Using Remote Storage with Exabyte 8200 tape libraries is not recommended. Remote Storage does not support any QIC tape libraries or optical disc libraries.

All tapes used by Remote Storage exist in a single application media pool. This pool is automatically created at the completion of the Remote Storage Setup wizard. You must select the appropriate media type to be used for remote storage in the Remote Storage Setup wizard. The media type you specify cannot be changed later.

Verify that sufficient tapes have been moved to a free media pool so that Remote Storage can use the tapes if needed. You cannot move media from the Remote Storage media pool to another application media pool.

Offline media are tapes that are not currently inside a library and are therefore inaccessible by Remote Storage. Since these tapes remain in the same media pool, Removable Storage is responsible for tracking their location. For information on Removable Storage, see Removable Storage.

If a file that has been copied to remote storage is currently on offline media, you will receive a message from Removable Storage to manually insert the applicable tape. If you do not do so within a couple of minutes or so, the recall will fail.

Note

  • Remote Storage is optimized for copying large files. If a managed volume has many small files that are eligible for copying to remote storage, the data transfer rate may not match the rating given for the tape library.

Creating media copies

Remote Storage can back up the data on tapes that it uses. The original tape collection used to hold all files copied from local storage is called the media master set. Remote Storage can automatically create copies from the media master. The collection of copies for a media master is called a media copy set. You can specify up to three media copy sets. For information on how to set the number of media copy sets, see To set the number of media copies.

Notes

  • Files that are copied to remote storage are not protected by mirroring or striping. The only way to obtain redundancy for data in remote storage is to create copies of your media masters.
  • Media copies can be created only if two drives are available for use in a tape library.

Remote Storage will first use available tapes in the Remote Storage media pool, then use tapes from a free media pool, for media copies. The free media pool is a collection of unused media that can be used when there is not enough storage space available in the Remote Storage media pool.

Synchronizing media copies

You should update, or synchronize, media copies on a regular basis. This ensures that data on a media copy matches that on the media master. Synchronization updates media copies for all the media masters; however, you can only synchronize one media copy set at a time. Files cannot be managed or recalled while a media copy set is being synchronized, even if additional drives are available. For information on how to synchronize media copies, see To synchronize media copies.

Media copies can be synchronized later as needed if they are removed from a library.

Recreating the media master

When data on a media master becomes corrupted or is lost, Remote Storage can recreate the media master using data from a media copy. For information on how to recreate the media master, see To recreate the media master.


Protecting and recovering data from disaster

Keep the following points in mind if you are restoring files on a managed volume using Backup or other data backup application:

  • You cannot restore Remote Storage files to a different computer.
  • You cannot restore Remote Storage files to a volume that is not formatted with the version of NTFS used in Windows 2000.
  • You should not restore Remote Storage files to other NTFS volumes on the same computer unless you are sure that those volumes are also managed by Remote Storage.

For advanced information on how to protect and recover data that is managed or needed by Remote Storage, see the Windows 2000 Resource Kit.


Resources

This topic provides sources of additional information for Remote Storage.

Windows 2000 Resource Kit

The Microsoft Windows 2000 Resource Kit contains advanced information on how to configure, administer, optimize, and troubleshoot Remote Storage. The full version of the Windows 2000 Resource Kit is a complementary product to Windows 2000. However, the Windows 2000 compact disc set contains a subset of the full Windows 2000 Resource Kit. For more information, see the Windows 2000 Resource Kit.


Troubleshooting

This section provides problem-solving guidelines for Remote Storage.

Keep in mind that Remote Storage is used to move data between your local computer and tape libraries, and depends on Removable Storage to access specific tapes within these libraries. Consequently, Removable Storage must be properly configured beforehand and must be running for Remote Storage to function correctly.

What problem are you having?

You cannot install or run Remote Storage.

Cause: Remote Storage requires that you have administrative permissions.

Solution: Verify that you are logged on with administrative permissions.

You cannot find the Remote Storage snap-in.

Cause: Remote Storage is not installed by default the first time you run Windows 2000 Server Setup.

Solution: Install Remote Storage on your computer using Add/Remove Programs.

Remote Storage could not find any valid media type to use.

Cause: Removable Storage has not detected the media type yet, or you do not have a supported tape library.

Solution: Wait until the Removable Storage snap-in displays the available media that can be used.

Solution: Verify that you have a supported tape library. Remote Storage supports all SCSI class 4mm, 8mm, and DLT tape libraries. Remote Storage does not support QIC tape or optical disc libraries. For tape libraries supported by Removable Storage, see the Microsoft Hardware Compatibility List at the Microsoft Web site.(http://www.microsoft.com/)

Remote Storage cannot manage a particular volume or find a volume you wish to manage.

Cause: Remote Storage can only manage nonremovable (fixed), local NTFS volumes; other file systems or volumes will not be displayed in the Remote Storage Setup wizard.

Solution: Format all volumes that will be managed using the Windows 2000 NTFS file system.

You have set a file-copying schedule but no files have been copied to remote storage.

Cause: There may be no files that meet the specified criteria.

Solution: Change the file rules and other file-copy criteria as necessary.

You can no longer recall files from remote storage.

Cause: Remote Storage uses the runaway recall limit to prohibit a user, or an application, from recalling files from remote storage more than a specified number of times in succession. Virus checking, data backup, indexing, and search applications typically read all files on your computer, and can cause the runaway recall limit to be quickly reached.

Solution: Increase this setting as necessary or close the application causing the excessive recalls.

File recalls are slow.

Cause: Remote Storage uses tape-based libraries to store data and it may take five minutes or longer to recall a file.

Solution: Set the desired free space value lower so that data in cached files are not removed as often. In this way, data will not have to be recalled from remote storage as often.

There are excessive file recalls occurring.

Cause: Virus checking, data backup, indexing, and search applications typically read all files on your computer.

In particular, if you use Find (on the Edit menu) in Microsoft Office 95 or later to search for content on a managed volume, all files in remote storage are automatically recalled.

Solution: Take into account use of applications that cause excessive files recalls on your managed volumes when planning your activities.

Cause: If Microsoft Word (.doc), Microsoft PowerPoint (.ppt), or HTML files have been copied to remote storage, all files in remote storage are recalled if you install Microsoft Office 97 on the computer running Remote Storage. This occurs at the end of the Office 97 installation.

Solution: To stop the recalls, you must use Windows Task Manager (press CTRL-ALT-DEL) to end the Findfast.exe task.

You cannot perform a media copy using two libraries.

Cause: Remote Storage may attempt to use a tape for a media copy from the same library as the media master. This can occur if there is no media of sufficient capacity in the Remote Storage media pool and tapes are used from a free media pool instead.

Solution: Use Removable Storage to move tapes in the second library from the free media pool to the Remote Storage media pool.